package cmd

import (
	"fmt"
	"train/pkg/version"

	"github.com/spf13/cobra"
)

var versionCmd = &cobra.Command{
	Use:   "version",
	Short: "Выводит текущую версию Train",
	Run: func(cmd *cobra.Command, args []string) {
		fmt.Printf("Train version %s\n", version.CurrentVersion)
	},
}

func init() {
	rootCmd.AddCommand(versionCmd)
}